
from pychrysalide import PluginModule
from pychrysalide.gui import core

from .panel import ConvPanel


class LiveConverter(PluginModule):
    """Convert raw values into interpreted values."""


    def __init__(self):
        """Initialize the plugin for Chrysalide."""

        interface = {

            'name' : 'LiveConverter',
            'desc' : 'Convert raw values into interprered values',
            'version' : '0.1',

            'actions' : ( )

        }

        super(LiveConverter, self).__init__(**interface)

        p = ConvPanel()

        core.register_panel(p)
